Package: org.grails.web.binding

## [Java] Interface StructuredPropertyEditor

-     @java.lang.SuppressWarnings("rawtypes")
      public interface StructuredPropertyEditor

  A PropertyEditor that is able to edit structured properties (properties made up of multiple field values). The #assemble method takes the required type and a map of field values and create an instance of the required type.

  Since:
    1.0.4
  Authors:
    Graeme Rocher

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Object` | `assemble(java.lang.Class type, java.util.Map fieldValues)` Assemble and bind a property value from the specified fieldValues and the given type
    `` | `public java.util.List` | `getOptionalFields()` Returns: The optional fields
    `` | `public java.util.List` | `getRequiredFields()` Returns: The required fields

- - ### Method Detail

    - #### public java.lang.Object assemble(java.lang.Class type, java.util.Map fieldValues)

      Assemble and bind a property value from the specified fieldValues and the given type

      throws:
        IllegalArgumentException Thrown in one of the field values is illegal
      Parameters:
        `type` - The type
        `fieldValues` - The field values
      Returns:
        A bound property

    - #### public java.util.List getOptionalFields()

      Returns:
        The optional fields

    - #### public java.util.List getRequiredFields()

      Returns:
        The required fields